Package org.apache.sling.api.wrappers

# Class JakartaToJavaxServletWrapper.JakartaToJavaxOptingServletWrapper

java.lang.Object
org.apache.sling.api.wrappers.JakartaToJavaxServletWrapper
org.apache.sling.api.wrappers.JakartaToJavaxServletWrapper.JakartaToJavaxOptingServletWrapper

All Implemented Interfaces:
  `javax.servlet.Servlet`, `OptingServlet`

Enclosing class:
  JakartaToJavaxServletWrapper

public static class JakartaToJavaxServletWrapper.JakartaToJavaxOptingServletWrapper extends JakartaToJavaxServletWrapper implements OptingServlet

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.sling.api.wrappers.JakartaToJavaxServletWrapper

`JakartaToJavaxServletWrapper.JakartaToJavaxOptingServletWrapper`

## Constructor Summary

Constructors
Constructor
Description
`JakartaToJavaxOptingServletWrapper(JakartaOptingServlet servlet)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`accepts(@NotNull SlingHttpServletRequest request)`
Examines the request, and return `true` if this servlet is willing to handle the request.

### Methods inherited from class org.apache.sling.api.wrappers.JakartaToJavaxServletWrapper

`destroy, getServletConfig, getServletInfo, init, service, toJavaxServlet`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.servlet.Servlet

`destroy, getServletConfig, getServletInfo, init, service`

## Constructor Details

### JakartaToJavaxOptingServletWrapper

public JakartaToJavaxOptingServletWrapper(JakartaOptingServlet servlet)

## Method Details

### accepts

public boolean accepts(@NotNull @NotNull SlingHttpServletRequest request)
Description copied from interface: `OptingServlet`
Examines the request, and return `true` if this servlet is willing to handle the request. If `false` is returned, the request will be ignored by this servlet, and may be handled by other servlets.

Specified by:
  `accepts` in interface `OptingServlet`
Parameters:
  `request` - The request to examine
Returns:
  `true` if this servlet will handle the request, `false` otherwise